= Version 3.2.8 =
- Plugin tested with WordPress 7.0

= Version 3.2.7 =
* Fix: Functionality to detect Popup triggers in Divi 5

= Version 3.2.6 =
* Fix: Visual Builder notice error related to Divi 5 conversion outline

= Version 3.2.5 =
* Improve: Support for Divi 5
* Improve: Functionality to trigger Popups

= Version 3.2.4 =
* Improve: Functionality to detect Popup triggers
* Improve: Add Popup Settings panel in Divi 5 Section module
* Fix: Front-end JavaScript files are now included regardless of post status

= Version 3.2.3 =
Plugin tested with WordPress 6.9

= Version 3.2.2 =
* Improve: Divi 5 popup HTML render

= Version 3.2.1 =
* Improve: Compatibility with WP Rocket.
* Fix: Popup showing before the page is loaded

= Version 3.2.0 =
* New: Full Support Divi 5
* Improve: Compatibility with WP Rocket.

= Version 3.1.0 =
- Add limited support for Divi 5

= Version 3.0.9 =
- Support WordPress 6.8 & Divi 4.27.4 
- Fix URL link on plugin description

= Version 3.0.8 =
- Update plugin description

= Version 3.0.7 =
- Support WordPress 6.7.2

= Version 3.0.6 =
- Support WordPress 6.6.2 & Divi 4.26.1

= Version 3.0.5 =
* Fix: Hide the onboarding notice for non-admin users.
* Change: Remove unused third-party integration with Forminator that could cause problems with Divi.

= Version 3.0.3 =
* Improve: Compatibility with WP Rocket 3.9.
* Fix: PHP 8 compatibility.
* Fix: Address error in plugins uninstall.php script.
* Fix: Pinch-Zoom works while Popup is open on mobile devices.
* Fix: Popup contents that have "overflow: scroll" can be scrolled via the mouse wheel.

= Version 3.0.2 =
* Fix: The plugin does not trigger "Constant already defined / headers already sent" warnings anymore.

= Version 3.0.1 =
* Change: Change plugin file structure for easier maintenance.
* Change: Major improvements in the JS API - bugfixes, clean-up, improvements.
* Change: Integrate divimode admin notifications.
* Fix: Removed debugging output in JavaScript console.

= 2.3.6 =
* Change: Rename JS API function: `DiviArea.Core.focusArea()` is now `DiviAreaItemdev.focus()`
* Change: Rename JS API function: `DiviArea.Core.blurArea()` is now `DiviAreaItem.blur()`
* Change New JS API function `DiviAreaItem.show()` and `DiviAreaItem.hide()`
* Fix: The "Popup" tab works for all post-types.
* Fix: Anchor links inside Popups now correctly scroll the Popup content to reveal the anchor.
* Fix: Divis "Dot Navigation" now works when the page contains Popups or other Areas.
* Fix: wpDataTables front-end editing now displays the media-modal with correct z-index.

= 2.3.5 =
* Fix: Triggering a Popup required 2-3 taps on certain pages on iOS.
* Fix: Prevent scrolling page when opening a Popup in Safari.
* Fix: Rare bug solved where an Exit-Intent Popup could not be closed anymore after triggering it via the JS API.

= 2.3.4 =
* Change: Rename JS and CSS assets to comply with the naming conventions of Divi.
* Fix: Certain websites experienced a delay between triggering a Popup and the Popup becoming visible.

= 2.3.0 =
* Improve: Popups do not cover the Admin Toolbar anymore for logged in users.
* Change: New JS action to customize Area positioning - `position_boundary`
* Change: When a Popup is visible, a new CSS class is added to the body tag.
* Change: Rename some files and folders to comply with the naming conventions of Divi.
* Fix: Sections in Visual Builder are not randomly renamed to "Popup - #undefined" anymore.
* Fix: Exit-Intent Popups do not need a Popup ID (but it's still recommended to add one).
* Fix: More robust plugin initialization. Popups will work, even when Divi does not initialize correctly.
* Fix: Divis Theme Builder could sometimes miss Area layout settings, that's a thing of the past.
* Fix: Open the Divi Lightbox in front of Popups.
* Fix: The `background-repeat` CSS rule is now correctly applied to the background image of a Popup section.
* Fix: Fix issue with calculation of size and position, caused by certain Row settings.
* Fix: Fix a rare issue on iOS that would reload the website when a Popup was triggered.
* Fix: Rare ReCaptcha bug that happened when no site_key was present for some reason.
* Fix: Forminator ReCaptcha is supported inside Popups.
* Fix: CF7 ReCaptcha is supported inside Popups.
* Fix: Layout compatibility with wpDataTables.

= 2.2.5 =
* Improve: We have made the Visual Builder integration (the "Popup-Tab") faster and more stable.
* Improve: Do not include the JS API for certain 404 results, such as missing images.
* Change: New JS API function `DiviAreaItem.isPrepared()` to check if an Area is fully initialized.
* Change: New JS filter to add custom initialization code - `pre_init_area`
* Change: New JS filter to dynamically change an Areas z-index - `apply_z_index`
* Change: New JS filter to adjust Area initialization - `area_preparation_time`
* Change: The JS API function `DiviAreaItem.getData()` does not require a parameter anymore.
* Fix: The z-index is correctly applied again.
* Fix: Improve the full-height calculation of Popups

= 2.2.4 =
* Improve: Area sizes are more accurate when using Divis responsive sizes.
* Improve: Images inside Popups are instantly loaded in Chrome (fixed a lazy-load bug).
* Improve: Area size is re-calculated when the Area contents change, e.g. when an accordion is opened or closed.
* Improve: When a Popup is opened, scrolling is disabled in all browsers, without shifting the content!
* Change: New JS action that fires when an Area was resized `resize_area`.
* Change: New JS action to customize screen-position of an Area `position_area` (not available for Inline Areas).
* Fix: Full-Height Popups can be scrolled again in Safari/iPhones.

= 2.2.3 =
* Fix: Position of close button is correct in full-height Popups.

= 2.2.2 =
* Improve: Images inside Areas are instantly loaded in Chrome (fixed a lazy-load bug).
* Improve: New logic to calculate Area size and position that supports orientation-change of mobile devices.
* Fix: WooCommerce pages now display all available Popups, not only the first one.
* Fix: Added support for IE 11.
* Fix: Popup text is no longer blurry in Windows browsers
* Change: New JS API function to identify an Area: `DiviAreaItem.hasId()`
* Change: Deprecated the "full-width" class, because it's not used anymore

= 2.2.1 =
* Fix: The close button does not trigger any scrollbars when hovered
* Fix: Popups are now always hidden when the page loads - in some cases, Popups inside Headers/Footers were visible right when the page loaded
* Fix: Click inside an open Popup does not try to re-open that Popup - i.e., fixed the "flickering issue."
* Fix: Accordions and other interactive elements inside Areas are working again
* Fix: Plugin is compatible with Gravity Forms 2.4.18+
* Fix: Bullet lists now display bullets inside Popups
* Improve: Plugin now plays nice with SG Optimizer and WP Rocket
* Improve: The close button is now outside the Popup container and can be positioned anywhere, via CSS
* Improve: Minor performance optimizations in the JS code

= 2.2.0 =
* Change: Fully refactored JS API that is documented on https://divimode.com/knowledge-base/
* Change: Some CSS class names have changed, e.g. "evr_fb_popup_modal" is now "da-overlay"
* Change: The JS configuration object changed its name to `DiviAreaConfig` (formerly `DiviPopupData`)
* Change: Split the JS API into two files - a minimal loader that is enqueued in the header, and the rest of the API which is enqueued in the footer
* Change: The DiviAreaConfig object is output in the page header so that values can be overwritten via JS in the page body
* Change: Default z-index of Popups now is "1000000" (that's one "0" more than before) to display Popups above a Full-Page menu
* New: Click triggers can be added to a Row or Section. The plugin now supports virtually any Divi "Link" field!
* New: JS class `DiviAreaItem` that represents a single Popup
* New: JS API function: `DiviArea.getArea()`
* New: JS API hooks: `area_wrap`, `area_close_button`, `refresh_area`, `init_overlay`, `reorder_areas`
* Improve: Popup content always expands downwards when a scrollbar is visible - for example when using Accordions inside a Popup
* Improve: When a popup is triggered inside a Full-Page menu, the menu is closed while the Popup is opened
* Improve: Now we support Popup triggers on any page (like shop pages or blog archive) and any element (like menus or footers)
* Improve: When a Popup is opened, the scroll bars of the page are not removed anymore
* Improve: Support for the Divi Builder Plugin is even better, cases of missing CSS styles are fixed
* Improve: Lots of comments added and typos fixed throughout the plugin
* Fix: We found and fixed a problem with the Visual Builder when inserting Popups into blog posts
* Fix: Some script debugging options were incompatible with WordPress' new block editor

Here is a full list of all API changes in this update: https://divimode.com/api-1-2-0-changes/

= 2.1.1 =
* Change JS API does not include deprecated function `observe()`! Use `addAction()` or `addFilter()` instead
* Improve the JS API further and expose additional functions
* Improve triggers on Modules: Links inside modules are treated as normal links, not as popup triggers
* Fix bugs on some WooCommerce and Divi Builder archive pages
* Fix some JS API issues for Divi Areas Pro integration

Plugin tested with WordPress 5.4.1 and Divi 4.4.6

= 2.1.0 =
* Add correct Area layout on WooCommerce pages
* Add compatibility with the Divi Builder plugin
* Improve Exit-Intent logic so that multiple exit-intent popups are displayed one by one instead of all at once
* Improve JS API: The `DiviArea` object exposes additional functions
* Improve the minification of CSS files to generate ~16% smaller files
* Improve the background overlay in modern browsers (sorry, does not work in Firefox yet)
* Fix console error that said `could not load style.css.map`
* Fix the "Close other Popups" behavior, so now it will really close other popups
* Fix some minor bugs in the popup behavior

= 2.0.5 =
* Add new JS API: `DiviArea.addActionOnce()`
* Fix a bug that happened for logged in users when WordPress runs on a Windows Server

= 2.0.4 =
* Add the new option "Show Loader" to the Popup Tab to better support iframes inside the Popup
* Improve input of Popup ID in Visual Builder to prevent invalid characters
* Improve code structure for better unit testing and quality assurance
* Improve JavaScript error reporting in the dev console
* Fix some more JS errors that happened with specific versions of PHP/WordPress
* Fix display of Popups when using the Avada theme
* Fix a JS error that was caused by wrong load-order of JS libraries

= 2.0.3 =
* Improve code style: Apply the WordPress Coding Standards 2.0

= 2.0.2 =
* Improve code style: Apply the WordPress Coding Standards 2.0
* Improved security check in the onboarding form
* Improve the copy and some JS logic of the onboarding form
* Fix some typos

= 2.0.1 =
* Fix an urgent problem where the plugin would remove the contents of the page while saving the page in Divi! 😳

= 2.0.0 =
* Add a brand new Tab to the Visual Builder that allows you to configure all popup details using Divi! No more class names 🥳
* Fix JS API integration for IE 11

= 1.7.2 =
* Fix positioning of full-height Popups for all users/devices

= 1.7.1 =
* Fix scroll bars in Popups that are taller than the screen height
* Fix position of full-height popups that were displayed too far up on the screen

= 1.7.0 =
* Improve the JS API. We rewrote the API from ground up with tons of features and enhancements: Detailed debug logging, an all-new DiviArea base object with support for WordPress-like hooks, and much more!
* Fix a bug where the Popup overlay was hidden too early when displaying more than one Popup at once
* Fix wrong zIndex values when displaying multiple Areas at the same time
* Fix some glitches in the JS script that triggers Divi Areas

= 1.6.3 =
* Fix animation glitch in Safari/iPhone that displayed the Popup too small when using Divis "Zoom" open animation.
* Fix logic that did not recognize Popups with upper-case letters in the Popup IDs.
* Fix issue with transparent Popup background.
* Fix CSS rule that allows custom box-shadow styles.

= 1.6.2 =
* Fix JS error in front.js

= 1.6.0 =
* Change Popup behavior: The size now matches the width of your Divi section! 🤩
* Add an dashboard notification to sign up for the six-day onboarding course.
* Add popup support via Blurb "Content Link".
* Add Google reCaptcha integration! Tested with CF7, but works with any plugin.
* Add new WP filter options to customize dark-mode and box-shadow style.
* Add new Popup Class: `no-shadow` removes the default box-shadow.
* Add new Popup Class: `close-alt` removes the background color of the Close Button.
* Fix Popup shadow: The box-shadow fo the Divi Section overrides the default box-shadow. *Style it your way!*
* Fix select list behavior in Firefox.
* Fix Popup width on iPhone 6 and earlier.
* Tweak the CSS that makes the page body un-scrollable while a popup is open.
* Tweak the JS library for easier maintenance and better performance.

= 1.5.1 =
* Fix broken exit-intent initialization (sorry for that!)
* Fix bug where exit intent did trigger in some form fields, e.g. when closing auto-complete suggestions or changing an option in a select list.
* Fix setting "animateSpeed" that can be set via the WP filter. It was ignored until now.

= 1.5.0 =
* Fixed the exit-intent behavior - now it triggers, even when you move the mouse very sloooowly
* New JS API to turn literally *any* element on the page into a popup: `DiviPopup.register('#the-id')`
* New JS API to configure popups after they were registered: `DiviPopup.config('#the-id', 'on-mobile', false)`

= 1.4.0 =
* In Divis Visual Builder you now see each popup ID right above the popup. This makes it easier for you to correctly link popups
* When the class "single" is added to a popup, it will close any other popup that was currently visible
* Custom styles are now applied to modules inside popups, for example, custom button styles

Thanks for your feedback and all your fantastic support for the Popups for Divi plugin! Check out the webpage for documentation, e.g. for the single class.

= 1.3.2 =
* Update plugin icon and assets
* Improved code and documentation

= 1.3.1 =
* Improve: Popup sections now support animations! Add those "Number Counters" and zoom-in images in your next popup.
* Fix: Certain Divi settings could prevent popups from being opened, as the trigger-click-event could be intercepted by a different Divi module. Not anymore. The unstoppable Popup!
* Fix: Minor javascript errors fixed, when "triggerClassPrefix" was set to false via the WP filter.

= 1.3.0 =
* Added trigger: Use class name "show-popup-demo" to show the popup "demo" on click. Can be used to turn any element into a popup trigger!
* Improve: The default value of the popup-debug option is taken from WP_DEBUG. You can see debug output in your browser console while WP_DEBUG is enabled.
* Improve: Better compatibility with Divi Child-themes (and Non-Divi themes).
* Fix: Custom "close" buttons inside a popup will now close the popup before following the link or scrolling the page.
* Fix: Popups will now work with themes that do not have the default "#page-container" div.

= 1.2.3 =
* Fix: jQuery "invalid expression" error is gone.

= 1.2.2 =
* Fix: Fully compatible with Divi 3.1.16 and higher.
* Add: Plugin is now backward compatible until PHP 5.2.4 - before this, the plugin required PHP 5.4 or higher.

= 1.2.1 =
* Improve: Faster and smoother handling of popup resizing, without an interval timer!
* Added Javascript event: $('.popup').on('DiviPopup:Init', ...)
* Added Javascript event: $('.popup').on('DiviPopup:Show', ...)
* Added Javascript event: $('.popup').on('DiviPopup:Hide', ...)
* Added Javascript event: $('.popup').on('DiviPopup:Blur', ...)
* Added Javascript event: $('.popup').on('DiviPopup:Focus', ...)

= 1.2.0 =
* Feature: Popups now support Divi loading animations!
* Improve: Popups will now correctly limit the size after the contents are changed, e.g. when accordion is expanded.
* Bugfix: The Popups For Divi plugin now waits until Divi could initialize all components, before creating popups.

= 1.1.0 =
* Feature: Yay! All Popups now have a Close button in the top-right corner by default.
* Feature: Pressing the escape key will now close the currently open popup.
* Improve: The active popup now has an additional CSS class `is-open` that can be used for styling inactive popups.
* Improve: CSS and JS code is now minified.

Thanks for your feedback and all the positive comments and reviews you posted! You are awesome :)

= 1.0.3 =
* Improve: Apply custom modules styles to elements inside a popup
* Fix: Correct popup preview in the Visual Builder

= 1.0.2.3 =
* Minor: Fixes in the readme.txt and naming of assets/language files

= 1.0.2 =
* Minor: Added link to the plugin documentation inside the plugins list
* Minor: Make plugin translatable

= 1.0.1 =
* Added: Support for lazy-load plugin

= 1.0 =
* Initial public release
* Added trigger: Click
* Added trigger: `on-exit`
* Added JavaScript API: DiviPopup.openPopup()
* Added JavaScript API: DiviPopup.closePopup()
* Added JavaScript API: DiviPopup.showOverlay()
* Added JavaScript API: DiviPopup.hideOverlay()
* Added WordPress filter: `evr_divi_popup-js_data`
